Subject: Re: bug#22564: Fundamental mode isn't fundamental enough.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Feb 2016 21:26:01 +0200

> Date: Fri, 5 Feb 2016 15:13:27 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > You want to turn off electric-indent-mode, I think.
> 
> Sort of.  But this is beyond the capabilities of a newby (discovering
> that, I mean).

If they cannot, they will ask.

> > > This is surely a bug.
> 
> > No, it's a deliberate feature, AFAIU.
> 
> You mean, there should no longer be a vanilla fundamental mode?

We still have Fundamental mode.  But AFAIR no one has ever promised
that Fundamental mode will not have any features turned on by
default.  I think you are misinterpreting what Fundamental means.

Maybe we need a new mode for that, something we never had before.